relationships.custom_feed is usually null in the response.criterion.field accepts:field | Operators |
|---|---|
page_url | is, is_not, begins_with, not_begins_with, ends_with, contains, not_contains |
page | is, is_not, begins_with, ends_with, contains, not_contains |
form_submit | is, is_not, is_present, is_empty |
file_download_name | is, is_not, contains, is_present, is_empty |
video_title | is, is_not, begins_with, contains, is_present, is_empty |
video_url | is, is_not, begins_with, is_present, is_empty |
web_visits:write OAuth2 scope.X-Api-Key: ********************{
"data": {
"attributes": {
"criterion": {
"field": "form_submit",
"operator": "is_present"
},
"enabled": false,
"name": "Any form"
},
"type": "goal"
}
}curl --location 'https://api.leadfeeder.com/v1/web-visits/goals?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"data": {
"attributes": {
"criterion": {
"field": "form_submit",
"operator": "is_present"
},
"enabled": false,
"name": "Any form"
},
"type": "goal"
}
}'{
"data": {
"attributes": {
"created_at": "2026-10-01T10:00:00.000Z",
"criterion": {
"field": "page_url",
"operator": "contains",
"value": "/pricing"
},
"enabled": true,
"name": "Pricing page",
"updated_at": "2026-10-02T11:00:00.000Z"
},
"id": "4182",
"relationships": {
"custom_feed": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "custom_feed"
}
},
"type": "goal"
},
"meta": {
"request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}